CMSIS-Core (Cortex-A): CPACR_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.0.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
CPACR_Type Struct Reference
Coprocessor Access Control Register (CPACR)

Bit field declaration for CPACR layout.

## Data Fields
struct {
uint32_t CP0:2
| bit: 0..1 Access rights for coprocessor 0 More...
uint32_t CP1:2
| bit: 2..3 Access rights for coprocessor 1 More...
uint32_t CP2:2
| bit: 4..5 Access rights for coprocessor 2 More...
uint32_t CP3:2
| bit: 6..7 Access rights for coprocessor 3 More...
uint32_t CP4:2
| bit: 8..9 Access rights for coprocessor 4 More...
uint32_t CP5:2
| bit:10..11 Access rights for coprocessor 5 More...
uint32_t CP6:2
| bit:12..13 Access rights for coprocessor 6 More...
uint32_t CP7:2
| bit:14..15 Access rights for coprocessor 7 More...
uint32_t CP8:2
| bit:16..17 Access rights for coprocessor 8 More...
uint32_t CP9:2
| bit:18..19 Access rights for coprocessor 9 More...
uint32_t CP10:2
| bit:20..21 Access rights for coprocessor 10 More...
uint32_t CP11:2
| bit:22..23 Access rights for coprocessor 11 More...
uint32_t CP12:2
| bit:24..25 Access rights for coprocessor 11 More...
uint32_t CP13:2
| bit:26..27 Access rights for coprocessor 11 More...
uint32_t TRCDIS:1
| bit: 28 Disable CP14 access to trace registers More...
uint32_t D32DIS:1
| bit: 30 Disable use of registers D16-D31 of the VFP register file More...
uint32_t ASEDIS:1
| bit: 31 Disable Advanced SIMD Functionality More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t CPACR_Type::ASEDIS

struct { ... } CPACR_Type::b

uint32_t CPACR_Type::CP0

uint32_t CPACR_Type::CP1

uint32_t CPACR_Type::CP10

uint32_t CPACR_Type::CP11

uint32_t CPACR_Type::CP12

uint32_t CPACR_Type::CP13

uint32_t CPACR_Type::CP2

uint32_t CPACR_Type::CP3

uint32_t CPACR_Type::CP4

uint32_t CPACR_Type::CP5

uint32_t CPACR_Type::CP6

uint32_t CPACR_Type::CP7

uint32_t CPACR_Type::CP8

uint32_t CPACR_Type::CP9

uint32_t CPACR_Type::D32DIS

uint32_t CPACR_Type::TRCDIS

uint32_t CPACR_Type::w